Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfVerticalPosType

    java.lang.Object
      java.lang.Enum<OdfVerticalPosType>
          org.odftoolkit.odfdom.dom.type.style.OdfVerticalPosType

All Implemented Interfaces:
  Serializable, Comparable<OdfVerticalPosType>

    public enum OdfVerticalPosType

extends Enum<OdfVerticalPosType>

DOM implementation of OpenDocument attribute style:vertical-pos.

Enum Constant Summary
`BELOW`
`BOTTOM`
`FROM_TOP`
`MIDDLE`
`TOP`

Method Summary
`static OdfVerticalPosType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfVerticalPosType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfVerticalPosType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfVerticalPosType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FROM_TOP

    public static final OdfVerticalPosType FROM_TOP

### TOP

    public static final OdfVerticalPosType TOP

### MIDDLE

    public static final OdfVerticalPosType MIDDLE

### BELOW

    public static final OdfVerticalPosType BELOW

### BOTTOM

    public static final OdfVerticalPosType BOTTOM

Method Detail

### values

    public static OdfVerticalPosType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfVerticalPosType c : OdfVerticalPosType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfVerticalPosType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfVerticalPosType>`
  Returns:
    return the name of OdfVerticalPosType

### toString

    public static String toString(OdfVerticalPosType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfVerticalPosType, see style:vertical-pos
  Returns:
    return the name of OdfVerticalPosType

### enumValueOf

    public static OdfVerticalPosType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfVerticalPosType
  Returns:
    return the constant of OdfVerticalPosType, see style:vertical-pos

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.